ChangeSet 1.1587.12.75, 2004/04/30 15:25:10-07:00, eike-hotplug@sf-tec.de

[PATCH] SHPC PCI Hotplug: remove some useless casts

Remove a useless cast: pci_add_new_bus returns a struct pci_bus*, so no need
to cast.


 drivers/pci/hotplug/shpchp_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/pci/hotplug/shpchp_pci.c b/drivers/pci/hotplug/shpchp_pci.c
--- a/drivers/pci/hotplug/shpchp_pci.c	Mon May 17 16:58:08 2004
+++ b/drivers/pci/hotplug/shpchp_pci.c	Mon May 17 16:58:08 2004
@@ -68,7 +68,7 @@
 
 	if (func->pci_dev->hdr_type == PCI_HEADER_TYPE_BRIDGE) {
 		pci_read_config_byte(func->pci_dev, PCI_SECONDARY_BUS, &bus);
-		child = (struct pci_bus*) pci_add_new_bus(func->pci_dev->bus, (func->pci_dev), bus);
+		child = pci_add_new_bus(func->pci_dev->bus, (func->pci_dev), bus);
 		pci_do_scan_bus(child);
 
 	}
